<?php
/***************************************************************************
 *   Copyright (C) 2008 by oscim   Project lossim                          *
 *   a@oscim.fr                                                            *
 *       [created : 07.03.2008, 12:56:56] @oscim                           *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
     function NewFct($fct){
        $vars = '';
        ## a-t-on fourni des arguments ?
        if(func_num_args()>1) {
                for($i=1;$i<(func_num_args()-1);$i++){
                        $t[$i] = func_get_arg($i);
                        $vars.="\$t[$i],";
                }
                $t[$i] = func_get_arg($i);
                $vars.="\$t[$i]";
        }
        ## a-t-on deja appele cette fonction?
        if(!defined('_FCT_'.strtoupper($fct).'_')) {
                if(@include_once ("$chemin"."include/$fct.inc"))
                        define('_FCT_'.strtoupper($fct).'_',true);
                else return false;
        }
        if($vars!='') {
                eval("\$ret = $fct($vars);");
                unset ($vars);
                unset ($t);
        }
        else eval("\$ret = $fct();");
        return $ret;
}

?>